package edu.berkeley.cs160.alarmbuddy;

/* ===== AlarmOffScreen.JAVA =====
 *  Author: Jessica Fitzgerald
 *  
 *  
 *  ===================== 
 */


import android.app.Activity;
import android.app.AlarmManager;
import android.content.Intent;
import android.os.Bundle;
import android.os.SystemClock;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;


public class AlarmOffScreen extends Activity {
	//this class is just gonna have 2 buttons, the snooze button and the off button
	//the off button takes you to the mini-apps screen to view
	
	private long mAlarmId;
	
	@Override
	protected void onCreate(Bundle icicle)
    {
        super.onCreate(icicle);

        Bundle extras = getIntent().getExtras();
    	assert extras != null;
    	mAlarmId = extras.getLong(MiniAppDb.KEY_ALARM_ID);
        
        setContentView(R.layout.alarm_off);
        // Watch for button clicks.
        Button button1 = (Button)findViewById(R.id.snooze);
        button1.setOnClickListener(mSnoozeAlarmListener);
        Button button2 = (Button)findViewById(R.id.stop);
        button2.setOnClickListener(mStopAlarmListener);
    }
        
        private OnClickListener mSnoozeAlarmListener = new OnClickListener()
        {
            public void onClick(View v)
            {
            	//extend the time of the alarm
            
            }
        };

        private OnClickListener mStopAlarmListener = new OnClickListener()
        {
            public void onClick(View v)
            {
            	//need to turn off the alarm
            	//not sure what intent i have to cancel?
            	//Intent i = new Intent();
            	//AlarmManager am = (AlarmManager)getSystemService(ALARM_SERVICE);
                //am.cancel(intent);
                
            	//then go to the mini-apps screen
                //startSubActivity();
            	gotoactivity();
            }
        };
        
        public void gotoactivity(){
        	Intent i = new Intent(this, ViewMiniApps.class);
        	i.putExtra(MiniAppDb.KEY_ALARM_ID, mAlarmId);
        	startSubActivity(i, 0);
        }
        
  
}